{
  pkgs,
  lib,
  config,
  ...
}: let
  program = "<placeholder>";
  cfg = config.dots.${program};
  #sec = sops.secrets;
in {
  options.dots.${program} = {
    enable = lib.mkEnableOption "enables ${program}";
  };

  config = lib.mkIf cfg.enable {
    programs.${program} = {
      enable = true;
    };
  };
}
